WordPress Php Version 7 – should you update?

WordPress Php Version 7 – should you update?

How important is the php version for wordpress?

prickly problem in php - Version dilemma
Prickly problem in php – Version 7 to update or not?

There are several things to consider if you are worried about the minimum requirements of the latest versions of wordpress and php version 7.

If you are using a deprecated version of php (no longer updated or supported) it means is that any vulnerability discovered in the code has not been patched, so your site is not secure. Php 5.6 is the absolute minimum, but support will cease eventually.

The WordPress recommended php version can be found here:

https://wordpress.org/about/requirements/

They are not absolute requirements, but if you want the maximum security for your site you should try to follow the recommendations. Not all hosts have updated their php versions across all their networks at the time of writing, but many allow you to choose the version you want to use. If they were to upgrade universally, it could break many older websites using older plugins and themes.

Many Hosts that have upgraded allow users to set the php version themselves.

WordPress php version 7 compatibility with plugins and themes

Users need to prepare their sites for the upgrade to php 7 and up by making sure that any plugins and themes used by the site are regularly updated and supported and if not, to find replacements for them. If you use any paid plugins, you may need to contact the creator/developer and ask for the latest versions or replacements.

Tip accentTip: ALWAYS BACK UP YOUR SITE Before making any big changes.

 

Compatibility Check

You can change the version and see if it breaks – you can usually switch back to their default or 5.6 to recover the site.

You can also use this plugin:

PHP Compatibility Checker WordPress Plugin

You can run a test on your site and see if all of your plugins & themes are compatible. If anything is not compatible, you should consider removing and replacing with another before changing to PHP 7 (or any of the later updates).

Note: Some newer or updated plugins will not run correctly on older php versions! You will need to update eventually.

WordPress php version check, how is that done?

If you have cPanel and Paper Lantern or similar, you should find ‘Select PHP Version’ under ‘Software’. You can see which version is currently in use and, if enabled you can click there to change to a later version of php (once you have completed all other checks)

You can install this plugin if you can’t access the module in cPanel:

Display PHP Version

WordPress change php version 7 – Security and Speed

Before Php7 was launched almost all hosting companies were using PHP version 5.6 or earlier. Even now your WordPress blog may be on a hosting service that is only offering PHP 5.6.

Speed is important to keep visitors on your site and PHP 7 is a considerable performance improvement over PHP 5.6.

Tests have shown that PHP 7 makes your pages load in almost half the time.

WordPress hardware requirements

I have not found any requirements, but it goes without saying that any software will run faster and better on modern hardware with plenty of power and capacity.

Here’s an article about the importance of php for the geeks:)

Bottom Line

If at all possible, upgrade your website to Php Version 7 (including updates) . If not, ask for assistance from your hosting provider and if refused totally, consider moving your hosting account.

Save

Save

Save

Save

Leave a Reply

Your email address will not be published. Required fields are marked *